Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# treeview.hh File Reference

A GtkTreeView C++ wrapper interface. More...

`#include <xfc/gtk/container.hh>`
`#include <xfc/gtk/cellrenderer.hh>`
`#include <xfc/gtk/treeselection.hh>`
`#include <xfc/gtk/treeviewcolumn.hh>`
`#include <gtk/gtktreeview.h>`
`#include <xfc/gtk/inline/treeview.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::TreeView
    A GtkTreeView C++ wrapper class. More...

## Enumerations

- enum TreeViewDropPosition {
  TREE_VIEW_DROP_BEFORE = GTK_TREE_VIEW_DROP_BEFORE,
  TREE_VIEW_DROP_AFTER = GTK_TREE_VIEW_DROP_AFTER,
  TREE_VIEW_DROP_INTO_OR_BEFORE = GTK_TREE_VIEW_DROP_INTO_OR_BEFORE,
  TREE_VIEW_DROP_INTO_OR_AFTER = GTK_TREE_VIEW_DROP_INTO_OR_AFTER
  }
    TreeViewDropPosition is used to determine where a dropped row goes. More...

## Detailed Description

A GtkTreeView C++ wrapper interface.

Provides TreeView, a widget that displays any object that implements the TreeModel interface.

## Enumeration Type Documentation

enum TreeViewDropPosition

TreeViewDropPosition is used to determine where a dropped row goes.

Enumeration values:

  TREE_VIEW_DROP_BEFORE | Drop before this row.
  TREE_VIEW_DROP_AFTER | Drop after this row.
  TREE_VIEW_DROP_INTO_OR_BEFORE | Drop as a child of this row (with fallback to before if into is not possible).
  TREE_VIEW_DROP_INTO_OR_AFTER | Drop as a child of this row (with fallback to after if into is not possible).

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3